LANGUAGE			= ENGLISHDARKSIDE
ObjDir				= :Objects:
PPCObjDir			= :PPCObjects:
SrcDir				=
OutputDir			= :Faders:
LinkOptions			= -d
RezOptions			= -d {LANGUAGE}=1
PPC_LibEquates = 	

# debugging options
#CompileOptions	= -w 17 -o "{ObjDir}" -d MPW3 -r -d SystemSevenOrLater -b2
#SymOpt = on
#PPCC_Options = -sym {SymOpt} -opt off

# non debugging options
CompileOptions	= -w 17 -mbg off -o "{ObjDir}" -d MPW3 -r -d SystemSevenOrLater -b2
SymOpt = off
PPCC_Options = -sym {SymOpt} -opt speed

# fader shell creation
"{ObjDir}"Fader.c.o  "{SrcDir}"Fader.c "{SrcDir}"Fader.h
	Echo "Compiling Fader.c"
	SC {CompileOptions} "{SrcDir}"Fader.c
	
"{PPCObjDir}"Fader.c.o	 {SrcDir}Fader.c
	Echo "Compiling PPC Fader.c"
	MrC {PPCC_Options} {SrcDir}Fader.c -o {PPCObjDir}Fader.c.o
	
# Invert creation
"{ObjDir}"Invert.c.o  "{SrcDir}"Invert.c
	Echo "Compiling Invert.c"
	SC {CompileOptions} "{SrcDir}"Invert.c
	
"{PPCObjDir}"Invert.c.o	 {SrcDir}Invert.c
	Echo "Compiling PPC Invert.c"
	MrC {PPCC_Options} {SrcDir}Invert.c -o {PPCObjDir}Invert.c.o
	
# Invert link and Rez
"{OutputDir}"Invert  "{ObjDir}"Invert.c.o "{ObjDir}"Fader.c.o
	Echo "Linking Invert"
	Link {LinkOptions} -o {Targ}				
	-m FaderEntry								
	-rt FADE=128								
	-sg Fader									
	"{ObjDir}Fader.c.o"							
	"{ObjDir}Invert.c.o"						
	"{Libraries}"MacRuntime.o 						
	SetFile {Targ} -t 'Dark' -c 'DSOM'

"{OutputDir}Invert" 	"{PPCObjDir}"Invert.c.o "{PPCObjDir}"Fader.c.o
	Echo "Making Invert for PowerPC"
	PPCLink									
		-sym {SymOpt}						
		"{PPCObjDir}Fader.c.o"				
		"{PPCObjDir}Invert.c.o"				
		"{SharedLibraries}"InterfaceLib	
		"{SharedLibraries}"StdCLib		
		-main PreflightFader				
		-export preflightFaderUPP			
		-export initializeFaderUPP			
		-export idleFaderUPP				
		-export disposeFaderUPP				
		-export updateFaderUPP				
		-export hitFaderUPP					
		-o "{Targ}"	-t 'Dark' -c 'DSOM'					
	If "{SymOpt}" =~ /[oO][nN]/
	   makeSYM "{Targ}"
	End
	
"{OutputDir}"Invert  "{SrcDir}"Invert.r
	Echo "Rezzing Invert"
	Rez {RezOptions} -rd -o {Targ} {SrcDir}Invert.r -append
