LANGUAGE			= ENGLISHDARKSIDE
ObjDir				= :Objects:
PPCObjDir			= :PPCObjects:
SrcDir				=
OutputDir			= :Faders:
LinkOptions			= -d
RezOptions			= -d {LANGUAGE}=1
PPC_LibEquates = 	

# debugging options
#CompileOptions	= -w 17 -o "{ObjDir}" -d MPW3 -r -d SystemSevenOrLater -b2
#SymOpt = on
#PPCC_Options = -sym {SymOpt} -opt off

# non debugging options
CompileOptions	= -w 17 -mbg off -o "{ObjDir}" -d MPW3 -r -d SystemSevenOrLater -b2
SymOpt = off
PPCC_Options = -sym {SymOpt} -opt speed

# fader shell creation
"{ObjDir}"Fader.c.o  "{SrcDir}"Fader.c "{SrcDir}"Fader.h
	Echo "Compiling Fader.c"
	SC {CompileOptions} "{SrcDir}"Fader.c
	
"{PPCObjDir}"Fader.c.o	 {SrcDir}Fader.c
	Echo "Compiling PPC Fader.c"
	MrC {PPCC_Options} {SrcDir}Fader.c -o {PPCObjDir}Fader.c.o

	
# Morpion creation
"{ObjDir}"Morpion.c.o  "{SrcDir}"Morpion.c
	Echo "Compiling Morpion.c"
	SC {CompileOptions} "{SrcDir}"Morpion.c

"{PPCObjDir}"Morpion.c.o	 {SrcDir}Morpion.c
	Echo "Compiling PPC Morpion.c"
	MrC {PPCC_Options} {SrcDir}Morpion.c -o {PPCObjDir}Morpion.c.o
	
"{OutputDir}"Morpion  "{ObjDir}"Morpion.c.o "{ObjDir}"Fader.c.o
	Echo "Linking Morpion"
	Link {LinkOptions} -o {Targ}				
	-m FaderEntry								
	-rt FADE=128								
	-sg Fader									
	"{ObjDir}Fader.c.o"							
	"{ObjDir}Morpion.c.o"						
	"{Libraries}"Interface.o 					
	"{Libraries}"MacRuntime.o 						
	SetFile {Targ} -t 'Dark' -c 'DSOM'
	
"{OutputDir}Morpion" 	"{PPCObjDir}"Morpion.c.o "{PPCObjDir}"Fader.c.o
	Echo "Making Morpion for PowerPC"
	PPCLink									
		-sym {SymOpt}						
		"{PPCObjDir}Fader.c.o"				
		"{PPCObjDir}Morpion.c.o"			
		"{SharedLibraries}"InterfaceLib		
		"{SharedLibraries}"StdCLib			
		-main PreflightFader				
		-export preflightFaderUPP			
		-export initializeFaderUPP			
		-export idleFaderUPP				
		-export disposeFaderUPP				
		-export updateFaderUPP				
		-export hitFaderUPP					
		-o "{Targ}"	-t 'Dark' -c 'DSOM'					
	If "{SymOpt}" =~ /[oO][nN]/
	   makeSYM "{Targ}"
	End
			 
"{OutputDir}"Morpion  "{SrcDir}"Morpion.r
	Echo "Rezzing Morpion"
	Rez {RezOptions} -rd -o {Targ} {SrcDir}Morpion.r -append
